/* nav */

.footernav.col {
  justify-content: flex-start;
}
.scroll_top-wrapper,
.nav.col {
  justify-content: flex-end;
}

.nav ul {
  margin: 0;
  display: flex;
  gap: 0 2vw;
  align-items: baseline;
  justify-content: flex-end;
  flex-wrap: wrap;
}

.nav ul li {
  list-style: none;
  display: inline-block;
  position: relative;
  margin: 0;
  padding: 0;
}

.nav ul li ul li {
  margin: 0;
}

.mobilenav ul .current_page_item > a,
.current_page_item > a {
  font-weight: 700;
}

.mobilenav ul .sub-menu,
.nav ul .sub-menu {
  display: none;
}

.nav ul li:hover > .sub-menu {
  display: block;
}

.nav ul li .sub-menu {
  position: absolute;
  margin: 0;
  left: 0;
  padding: 1rem 0;
  width: 100%;
  text-align: left;
  background: var(--primary);
  z-index: 1;
}

.nav ul li .sub-menu li:first-child {
  margin-top: 2rem;
}

.nav ul li .sub-menu li {
  padding: 0 0 1.5rem 0;
  display: block;
  /* border: 1px solid var(--secondary); */
  background: var(--primary);
  padding: 0.5rem 1rem;
  transition: 0.25s linear;
}

.special-header-items .nav ul li .sub-menu li {
  padding: 0 0 1rem 0;
  display: block;
  border: 1px solid var(--primary);
  background: var(--textcolor);
  padding: 0.5rem 1rem;
}

.nav ul li.menu-item-has-children {
  padding-right: 2rem;
}

.nav ul li.menu-item-has-children::after {
  position: absolute;
  display: block;
  width: 10px;
  height: 10px;
  right: 5px;
  top: 5px;
  content: "";
  transition: 0.2s;
  background-repeat: no-repeat;
  background-image: url(../img/arrow-down.svg);
  background-position: center center;
  background-size: 12px 23px;
  -webkit-transform: rotate3d(0, 0, 1, 0deg);
  transform: rotate3d(0, 0, 1, 0deg);
}

/* Fixed Nav */
.fixed .nav ul {
  /* margin: 10px 80px 10px 20px; */
}

.fixed .nav ul li .sub-menu li:first-child {
  /* margin-top: 27px; */
}

/* Footer Nav */
.footernav {
  text-align: right;
}

.footernav ul {
  margin: 0;
  gap: 0 var(--gap);
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: baseline;
}

.footernav ul li {
  margin: 0;
  list-style: none;
  display: inline-block;
  position: relative;
  padding: 0;
}

/* Mobilenav */
#hamburger {
  display: none;
}

@media only screen and (max-width: 1024px) {
  html.flexbox nav.nav,
  .nav {
    display: none;
  }

  header {
    max-height: 100vh;
    overflow: auto;
  }

  .mobilenav {
    /* position: fixed; */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: rgba(0, 0, 0, 0.8); */
    /* border-bottom: 1px solid var(--primary); */
    z-index: 99;
  }

  .mobilenav ul:not(:first-child) {
    margin-top: calc(var(--gap) * 2);
  }

  .mobilenav ul:not(.lang-menu) {
    margin-top: 2em;
    flex-direction: column;
    align-items: flex-start;
    row-gap: var(--gap);
  }

  .mobilenav ul ul {
    margin-top: 10px;
  }

  .mobilenav ul li {
    list-style: none;
    /* padding: 10px; */
    position: relative;
  }

  .mobilenav ul li a {
    /* color: #fff; */
    font-size: 1.6rem;
  }

  .mobilenav ul .menu-item-has-children > span {
    background: url(../img/arrow-down.svg);
    display: block;
    cursor: pointer;
    position: absolute;
    right: 50px;
    width: 25px;
    height: 15px;
    top: 17px;
    float: right;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    font-size: 2.4em;

    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
    -moz-transition: 0.4s ease;
    -webkit-transition: 0.4s ease;
    -o-transition: 0.4s ease;
    transition: 0.4s ease;
  }

  .mobilenav ul .menu-item-has-children span.open {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
  }

  /* ------------------------------------
	 *  HAMBURGER
	 * ------------------------------------
	 */
  #hamburger {
    width: 3.2rem;
    height: 1.8rem;
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    flex-direction: column;
  }

  #hamburger span {
    display: block;
    height: .2rem;
    width: 100%;
    background: var(--secondary);
    opacity: 1;
    -webkit-transition: inherit;
    -moz-transition: inherit;
    -o-transition: inherit;
    transition: inherit;
  }

  #hamburger:hover > span {
    background: var(--primary);
  }

  .header-wrapper > .open {
    position: fixed !important;
  }

  .open span {
    -webkit-transition-duration: 1s; /* Safari */
    transition-duration: 1s;
  }

  #hamburger span:nth-child(1) {
    -webkit-transform-origin: left top;
    -moz-transform-origin: left top;
    -o-transform-origin: left top;
    transform-origin: left top;
  }

  #hamburger span:nth-child(3) {
    -webkit-transform-origin: left bottom;
    -moz-transform-origin: left bottom;
    -o-transform-origin: left bottom;
    transform-origin: left bottom;
  }
  #hamburger.open {
    height: 2.4rem;
  }

  #hamburger.open span:nth-child(1) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    top: -3px;
    left: 2px;
  }

  #hamburger.open span:nth-child(2) {
    width: 0%;
    opacity: 0;
  }

  #hamburger.open span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 18px;
    left: 2px;
  }
}

/* LANG MENU */
nav ul.lang-menu {
  /* margin-left: 5rem; */
  min-width: var(--column);
  text-align: right;
  justify-content: flex-end;
  gap: .5em;
}

ul.lang-menu li {
  margin: 0;
  padding: 0;
  text-transform: lowercase;
}

ul.lang-menu li:not(.current-lang) {
  opacity: 0.7;
}
